﻿using System;
using System.Collections.Generic;
using System.Text;

using Com.Piwigo.Lib.DTO;
using System.Web;
using Com.Piwigo.Lib.Proxy.Response;

namespace Com.Piwigo.Lib.Proxy
{
    static class PwgTagsProxy
    {
        static public PwgTagsProxyResponse pwg_tags_getList(Boolean sortedByCounter)
        {
            PwgTagsProxyResponse response = null;
            try
            {
                StringBuilder data = new StringBuilder();
                data.Append("sort_by_counter=" + HttpUtility.UrlEncode(sortedByCounter.ToString().ToLower()));

                response = PwgGenericProxy<PwgTagsProxyResponse>.Get(
                                PwgConfigProxy.PwgServeurUriBuilder.Uri,
                                "pwg.tags.getList", data.ToString());
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_tags_getList", ex);
            }
            return response;

        }

        static public PwgTagsProxyResponse pwg_tags_getAdminList()
        {
            PwgTagsProxyResponse response = null;
            try
            {
                response = PwgGenericProxy<PwgTagsProxyResponse>.Get(
                                PwgConfigProxy.PwgServeurUriBuilder.Uri,
                                "pwg.tags.getAdminList", null);
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_tags_getAdminList", ex);
            }
            return response;

        }

        static public PwgTagsProxyResponse pwg_tag_add(string tagName)
        {
            PwgTagsProxyResponse response = null;
            try
            {
                StringBuilder data = new StringBuilder();
                data.Append("method=pwg.tags.add");
                data.Append("&name=" + HttpUtility.UrlEncode(tagName));

                response = PwgGenericProxy<PwgTagsProxyResponse>.Post(
                    PwgConfigProxy.PwgServeurUriBuilder.Uri,
                    data.ToString());
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_tag_add", ex);
            }

            return response;
        }

    }

}

